ECHO OFF
IM /CE /Q /N %1 %2 %3 %4
IF ERRORLEVEL 128 GOTO FAILURE
IF ERRORLEVEL 64 GOTO VIRUS
IF NOT ERRORLEVEL 24 GOTO DONE
ECHO IM found a possible problem
GOTO DONE
:Failure
ECHO IM unable to execute
GOTO EXIT
:VIRUS
ECHO IM found signs of a virus
:DONE
ECHO IM doing quick integrity update
:EXIT
